Your message dated Mon, 24 May 2010 13:32:50 +0000
with message-id <e1ogxly-00087d...@ries.debian.org>
and subject line Bug#576743: fixed in spatialite 2.4.0~rc2-5
has caused the Debian Bug report #576743,
regarding spatialite: Build-Depends upon libsqlite3-dev >= 3.6.11
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
576743: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=576743
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: spatialite
Version: 2.4.0~rc2-2
Severity: minor

I tried to backport the package on Lenny, it fails to compile
with the error:

spatialite_osm.c:2443: error: ‘sqlite3_backup’ undeclared (first use in this 
function)

The sqlite3_backup() function was introduced with 3.6.11, current
control file declares instead Build-Depends upon libsqlite3-dev (>= 3.3.6)

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



--- End Message ---
--- Begin Message ---
Source: spatialite
Source-Version: 2.4.0~rc2-5

We believe that the bug you reported is fixed in the latest version of
spatialite, which is due to be installed in the Debian FTP archive:

libspatialite-dev_2.4.0~rc2-5_i386.deb
  to main/s/spatialite/libspatialite-dev_2.4.0~rc2-5_i386.deb
libspatialite2_2.4.0~rc2-5_i386.deb
  to main/s/spatialite/libspatialite2_2.4.0~rc2-5_i386.deb
spatialite-bin_2.4.0~rc2-5_i386.deb
  to main/s/spatialite/spatialite-bin_2.4.0~rc2-5_i386.deb
spatialite_2.4.0~rc2-5.diff.gz
  to main/s/spatialite/spatialite_2.4.0~rc2-5.diff.gz
spatialite_2.4.0~rc2-5.dsc
  to main/s/spatialite/spatialite_2.4.0~rc2-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 576...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Francesco Paolo Lovergine <fran...@debian.org> (supplier of updated spatialite 
package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 24 May 2010 11:02:26 +0200
Source: spatialite
Binary: libspatialite2 libspatialite-dev spatialite-bin
Architecture: source i386
Version: 2.4.0~rc2-5
Distribution: unstable
Urgency: medium
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Francesco Paolo Lovergine <fran...@debian.org>
Description: 
 libspatialite-dev - Geospatial extension for SQLite - development files
 libspatialite2 - Geospatial extension for SQLite - libraries
 spatialite-bin - Geospatial extension for SQLite - tools
Closes: 530422 576743
Changes: 
 spatialite (2.4.0~rc2-5) unstable; urgency=medium
 .
   [ Alan Boudreault ]
   * Added spatialite_tool and spatialite_osm binaries in spatialite-bin.
   * Changed build-dep libsqlite3-dev to (>= 3.6.11): spatialite uses "hot 
backup"
     interface of sqlite3.
     (closes: #576743)
   * VirtualText has been updated long time ago.
     (closes: #530422)
Checksums-Sha1: 
 429cfcace7235a25eed2be75016520f50e500b5f 1428 spatialite_2.4.0~rc2-5.dsc
 0dac0c4b1be2a8427d7477afb07d5ae376a6a0a7 1005726 spatialite_2.4.0~rc2-5.diff.gz
 944edf8426aa50ef3b830f5d756804daa80b9be3 177656 
libspatialite2_2.4.0~rc2-5_i386.deb
 486560c7d7c81e716f3682a8fdc3db3024b2463f 189472 
libspatialite-dev_2.4.0~rc2-5_i386.deb
 197deb0f83d46e77b23493da334a04168237ad3f 1104704 
spatialite-bin_2.4.0~rc2-5_i386.deb
Checksums-Sha256: 
 7cc6674601e5e994045f3e7852a2ab83ffa98d9de197a8dc83bbbfab81b51118 1428 
spatialite_2.4.0~rc2-5.dsc
 46b664456558a7c5c8b57ab855076163f28ba165fb98feafbf09e1b27a1c35f5 1005726 
spatialite_2.4.0~rc2-5.diff.gz
 380d24eeb02a42792da70e7868a8a864a62598e1b0d56c2707a87b9f9171e902 177656 
libspatialite2_2.4.0~rc2-5_i386.deb
 54ecfd813f1296d548be72ce6656b1978792575dd8c0d316b7ea792051c38364 189472 
libspatialite-dev_2.4.0~rc2-5_i386.deb
 16423b009bb813f74804ef3ba36b07fa183ab52c20d4d7b7371dfadbc3cc00a3 1104704 
spatialite-bin_2.4.0~rc2-5_i386.deb
Files: 
 278f9a254e3e50a7a637e18fe9c6d0c1 1428 science extra spatialite_2.4.0~rc2-5.dsc
 500ef7c0ec3e1879fadddfacca3a8026 1005726 science extra 
spatialite_2.4.0~rc2-5.diff.gz
 28161a71b4f70c14612daa324d161e15 177656 libs extra 
libspatialite2_2.4.0~rc2-5_i386.deb
 b7eb991c7d061d8a93268adac683acce 189472 libdevel extra 
libspatialite-dev_2.4.0~rc2-5_i386.deb
 feb530f6e071e1417b1c532ae786835b 1104704 science extra 
spatialite-bin_2.4.0~rc2-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkv6fpsACgkQpFNRmenyx0edhgCfflgD8wxqtPP809TOCaq5I7lG
abkAoOJ/WQVVsTyam5dPOqP0Si4P+yRL
=JI49
-----END PGP SIGNATURE-----



--- End Message ---
_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to